Page MenuHomePhabricator

Redirect http://fab.wmflabs.org/* to https://phabricator.wikimedia.org
Closed, ResolvedPublic

Description

@Ricordisamoa reports in wikitech-l:

fab.wmflabs.org http://fab.wmflabs.org still shows the migration message. It should redirect to phabricator.wikimedia.org https://phabricator.wikimedia.org, shouldn't it?

Since we might have many fab URLs out there, it would be great if we could set a redirect rule for all http://fab.wmflabs.org/* URLs to redirect to https://phabricator.wikimedia.org

Details

Commits
Unknown Object (Diffusion Commit)

Event Timeline

Qgil created this task.Oct 19 2014, 6:28 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Ricordisamoa.
Byfserag triaged this task as Low priority.Oct 19 2014, 6:58 AM
Byfserag added a subscriber: Byfserag.

My understanding is we cannot resolve wikimedia.org names to labs hosts, so redirecting a labs address to production seems equally not possible. @greg may know more I think he's mentioned this.

greg added a comment.Nov 10 2014, 6:12 PM
In T704#20854, @chasemp wrote:

@greg may know more I think he's mentioned this.

/me shrugs

<Coren> If you only want those redirects for a couple weeks/months then it's a simple matter to have the webserver at fab 303 to phabricator; but given the relatively short lifetime wouldn't it be better to just break what links currently exist than have to keep the redirects indefinitely?
<andre__> I think I'd prefer to just have a totally generic redirect to the frontpage of phab.wm.o instead. I basically asked here because of the last comments

@Dzahn, @yuvipanda, do you have any opinion? It would be great if one of you could take this task and resolve it in the way you think it's best.

FWIW we have migrated the metadata of 85 users who came over from fab. The last time the job ran and saw a new user from fab was Thu, 23 Oct 2014 07:00:03 GMT. I don't think this is going to be that valuable even if it doesn't violate some labs ToS.

Is fairly trivial to do. If you deem this necessary still, just assign it to me and I'll get it taken care of.

Qgil added a comment.Nov 18 2014, 9:10 PM

According to Google, searching "http://fab.wmflabs.org" provides about 21.000 results. Whether that is true or not, whether any user clicks or will click those links or not... I don't know. But since the fix is trivial and clean, and since Yuvi is volunteering, I don't see the reason why we shouldn't leave a redirect from fab.wmflabs.org/* to phabricator.wikimedia.org's homepage.

Andrew added a subscriber: Andrew.Nov 18 2014, 9:35 PM

The redirect is Ok, although it would be nice to display some kind of deprecation warning so we aren't committed to maintaining this redirect for 100 years.

coren added a subscriber: coren.Nov 18 2014, 9:36 PM
In T704#20854, @chasemp wrote:

My understanding is we cannot resolve wikimedia.org names to labs hosts, so redirecting a labs address to production seems equally not possible. @greg may know more I think he's mentioned this.

No, that's true only in that one direction (wikimedia.org -> labs hosts)

yuvipanda closed this task as Resolved.Nov 20 2014, 5:26 PM

Ok, so...

  • Disabled puppet on fab2.eqiad.wmflabs (linked this task as reason)
  • Setup simple redirect to phabricator.wmflabs.org - every url redirects to the home page.
  • PROFIT

These are permanent redirects, so search engines should be fairly messed up by them (since we're not maintaining URL compatibility).

I propose we kill this after, say, 3 months? Or we kill it the first time the machine fails? :)

Qgil added a comment.Nov 20 2014, 9:06 PM
  • Setup simple redirect to phabricator.wmflabs.org

That is https://phabricator.wikimedia.org/ :)

Tested. It works. Thank you!

greg removed a subscriber: greg.Nov 20 2014, 9:47 PM
epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:19 AM
Qgil added a comment.Mar 4 2015, 8:48 AM

Accidental clash. Known issue. Sorry for the noise.